package com.steerinfo.ems.tcm0318.service;

import com.steerinfo.ems.tcm0318.model.TCm0318;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.List;
import java.util.Map;

/**
 * TCm0318服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-16 11:40
 * 类描述
 * 修订历史：
 * 日期：2019-10-16
 * 作者：王金涛
 * 参考：
 * 描述：TCm0318服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITCm0318Service extends IBaseService<TCm0318, String>{
    //String deleteprevious(Map<String, Object> parameters);
    PageList<TCm0318> dataQuery(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    PageList<TCm0318> qualityassessment(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    /**
     * 水质历史数据对比分析查询
     * @param parameters
     * @param pageNum
     * @param pageSize
     * @return
     */
    List<Map<String, Object>> datacomparison(Map<String, Object> parameters);
    List<TCm0318> getByCode(Map<String, Object> parameters);
}