package com.steerinfo.feigen.service;

import com.steerinfo.feigen.model.LgWeight;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

@FeignClient(value = "xt-ems-datasource",url = "172.16.90.238:8089")
@Component
public interface LgWeightFeigenService {

    @GetMapping("v1/lgweight/queryWeightByTime")
    public List<LgWeight> QueryWeightByTime();

    @GetMapping("v1/lgweight/queryWeightByTime2")
    public List<LgWeight> QueryWeightByTime2(@RequestParam("startTime")String startTime,@RequestParam("endTime")String endTime);

}
