package com.steerinfo.feigen.service;

import com.steerinfo.ems.bfhyd.model.Bfhyd;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(value = "xt-ems-datasource",url = "192.168.3.145:8888")
@Component
public interface BfhydFeigenService {
    @GetMapping("v1/bfhyds/getAll")
    public List<Bfhyd> getAll ();
}
